<?php 

/****admin notices***/

add_action('admin_notices', 'aws_admin_notices');



function aws_admin_notices() {

	global $current_user ;

	if ( !class_exists( 'WooCommerce' ) ) {

		echo '<div class="error aws_no_woocommerce"><p>'; 

        _e('You should have Woocommerce plugin activated for using Advance Woocommerce Search.','aws');

        echo "</p></div>";

	}

        $user_id = $current_user->ID;

	/*if ( ! get_user_meta($user_id, '_ignore_aws_info_notice') ) {

        echo '<div class="updated woocommerce-message woocommerce-tracker"><p>'; 

        printf(__('Some AWS plugin info goes here. | <a href="%1$s">Hide Notice</a>','aws'), '?aws_info_notice_ignore=0');

        echo "</p></div>";

	}*/

}

add_action('admin_init', 'aws_info_notice_ignore');

function aws_info_notice_ignore() {

	global $current_user;

        $user_id = $current_user->ID;

        /* If user clicks to ignore the notice, add that to their user meta */

        if ( isset($_GET['aws_info_notice_ignore']) && '0' == $_GET['aws_info_notice_ignore'] ) {

             add_user_meta($user_id, '_ignore_aws_info_notice', 'true', true);

	}

}









 function plugin_deactivation_case_admin_message() {

               echo '<div class="updated"><p><strong>Advance Woo-commerce Search</strong> plug-in has been <strong>deactivated</strong> since you are not activating the WooCommerce plugin.</p></div>';

               if ( isset( $_GET['activate'] ) )

                    unset( $_GET['activate'] );

  }









/*****data source create/update function***/



function aws_product_results_souce(){

	//if(get_post_type( $post_id) !=='product') return;		$first_update=get_option('aws_fisrt_update');			if($first_update=='yes') return;	

	 $aws_opt=get_option('aws_admin_settings');	

	 

	    $json_arr=array();

		global $product;

	    $args=array(

			      'post_type'=>'product',

			      'posts_per_page'=>-1,

				  /*'orderby' => ($aws_opt['aws_order_by_search']) ? $aws_opt['aws_order_by_search'] :'date',

				  'order'=> ($aws_opt['aws_order_search']) ? $aws_opt['aws_order_search'] :'DESC',*/

			      'meta_query'=>array( 'relation' => 'AND',

			         array(

						    'key' => '_stock_status',

						    'value' =>'outofstock',

						    'compare' => '!='

					    )

			      ),

			       'tax_query'=>array('relation' => 'AND',)

			);

	    $aws_query = new WP_Query($args);								$result_count = $aws_query->post_count;

		if ( $aws_query->have_posts() ) {

				

				while ( $aws_query->have_posts() ) {

					$aws_query->the_post();

					

		$price=(float)trim(get_post_meta( get_the_ID(), '_sale_price', true));			
		$reg_price=(float)trim(get_post_meta( get_the_ID(), '_regular_price', true));
		$sku=trim(get_post_meta(get_the_ID(),'_sku',true));

						

					$product_arr=array(

					   'ID'=>get_the_ID(),

					   'title'=>get_the_title(),

					   'description'=>wp_trim_words( get_the_content(), 20, '...' ),

					   'url'=>get_permalink(),

					    'price_html'=> ($price) ? woocommerce_price($price) : '',

						 'reg_price_html'=> ($reg_price) ? woocommerce_price($reg_price) : '',						 		'reg_price'=> ($price) ? $price : $reg_price,
						 'sku'=>$sku,		 												 						 'added_date'=>get_post_time('U',true,get_the_ID()),						 						 'last_modified_date'=>get_post_modified_time('U',true,get_the_ID())

					   

					);

					

					$thumb_id = get_post_thumbnail_id();

                    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'thumbnail', true);

                    $thumb_url = $thumb_url_array[0];

					$product_arr['featurd_image']=$thumb_url;

					

					$product_cat_array=array();

					$product_category=get_the_terms( get_the_ID(), 'product_cat' );

					if ( $product_category && count($product_category) && ! is_wp_error( $product_category ) ) {

						foreach($product_category as $cat){

							array_push($product_cat_array,$cat->slug);

						}

						

					}

					$product_arr['categories']=$product_cat_array;

					

					

					$product_tag_array=array();

					$product_tags=get_the_terms( get_the_ID(), 'product_tag' );

					if ( $product_tags && count($product_tags) && ! is_wp_error( $product_tags ) ) {

						foreach($product_tags as $tag){

							array_push($product_tag_array,$tag->slug);

						}

						

					}

					$product_arr['tags']=$product_tag_array;

					

					

					array_push($json_arr,$product_arr);

				}

				

			} 

		 /* Restore original Post Data */

		wp_reset_postdata();

		//echo json_encode($json_arr);

		$json_arr=serialize($json_arr);

		update_option('aws_data_source',$json_arr);	

		update_option('aws_fisrt_update','yes');		

	//	die();



}