<?php

function aws_shortcode(){

	if ( !class_exists( 'WooCommerce' ) ) {		

    	 return '<p class="nowoocom">'.__('WooCommece Plugin required','aws').'</p>';

		}

	 $aws_opt=get_option('aws_admin_settings');	
    
	 

	 ob_start();

		

	$str='';

	$uid=uniqid().time();

	$str.='<div class="aws-search-wrapper" id="aws-search-wrapper-'.$uid.'" data-uid="'.$uid.'">';

	

	$str.='<div class="aws-search-loading"><h3>'.__('Populating data','aws').'...</h3></div>';

	$str.='<div class="field name_field">';

	$str.='<input class="awsname" name="awsname" id="awsname-'.$uid.'" type="search" placeholder="'.__('Start typing','aws').'..." />';

	$str.='</div><!--end name_field-->';



	$str.='<button id="advanced_fields-'.$uid.'" class="advanced_fields">'.__('Advanced Filter','aws').'</button>';



	$str.='<div class="search_results_wrapper">';



	$str.='<div class="advanced_fields_wrapper">';
	
	
	$str.='<div class="advanced_fields_wrapper">';
	
	/*$str.='<div class="field enable_sku_search">';
	$str.='<input type="checkbox" id="enable-sku-search" value="1" />';
	$str.='<label for="enable-sku-search">'.__('Enable searching SKU','aws').'</label>';*/
	
	$str.='</div>';

	

	$str.='<div class="field cat_field">';

	$args = array( 'hide_empty'=>0);

    $cat_terms = get_terms( 'product_cat', $args );

	if ( ! empty( $cat_terms ) && ! is_wp_error( $cat_terms ) && count($cat_terms) ) {
		
		
		
		$exclude_list=$aws_opt['aws_exclude_categories'];
		$exclude_list=(isset($exclude_list) && is_array($exclude_list)) ? $exclude_list :array();

		$str.='<div class="field_lbl">'.$aws_opt['aws_product_category_lbl'].'</div>';

		foreach($cat_terms as $c){
			
			if(in_array($c->term_id,$exclude_list)) continue;

			$str.='<div class="checkbox_field">';

			$str.='<input type="checkbox" name="awscat[]" class="awscat" id="awscat-'.$uid.'-'.$c->slug.'" value="'.$c->slug.'" />';

			$str.='<label for="awscat-'.$uid.'-'.$c->slug.'">'.__($c->name,'aws').'</label>';

			$str.='</div>';

		}

		

	}

	$str.='</div><!--end cat_field-->';

	

	$str.='<div class="field tag_field">';

	$args = array( 'hide_empty'=>0);

	

    $tag_terms = get_terms( 'product_tag', $args );

	if ( ! empty( $tag_terms ) && ! is_wp_error( $tag_terms ) && count($tag_terms) ) {
		
		
		$exclude_list=$aws_opt['aws_exclude_tags'];
		$exclude_list=(isset($exclude_list) && is_array($exclude_list)) ? $exclude_list :array();

		$str.='<div class="field_lbl">'.$aws_opt['aws_product_tags_lbl'].'</div>';

		foreach($tag_terms as $t){
			if(in_array($c->term_id,$exclude_list)) continue;

			$str.='<div class="checkbox_field">';

			$str.='<input type="checkbox" name="awstag[]" class="awstag" id="awstag-'.$uid.'-'.$t->slug.'" value="'.$t->slug.'" />';

			$str.='<label for="awstag-'.$uid.'-'.$t->slug.'">'.__($t->name,'aws').'</label>';

				$str.='</div>';

		}

		

	}

	$str.='</div><!--end tag_field-->';



	$str.='<div class="clear"></div>';



	$str.='</div><!--end advanced_fields_wrapper-->';

	

	$str.='<ul class="aws-search-wrapper-ul"></ul>';



	$str.='</div><!--end search result warpper-->';

	

	$str.='</div><!--end aws search wrapper-->';

	echo $str;

	

	?>

	<script>

	jQuery(document).ready(function($){

		

		var res;

		$(window).load(function () {

   /* $.getJSON(aws_plugin_vars.aws_product_json_results, function(json){

       res=json;

	   setTimeout(function(){

		    $('.aws-search-wrapper').addClass('show');

	   },1500);

	  

   });

   */

        jQuery.ajax({

                   type : "post",

                   dataType : "json",

                   url : aws_plugin_vars.ajaxurl,

                   data : {action: "aws_populate_data"},



                   success: function(response) {



                          res=response;

						   setTimeout(function(){

		                     $('.aws-search-wrapper').addClass('show');

	                      },1500);



                   }





            });

   

   

   

  });

		

  



 //var containerClass = $(".aws-search-wrapper");

	//var containerUid=containerClass.attr('data-uid');

	var container=$("#aws-search-wrapper-<?php echo $uid;?>");

	

$(document).mouseup(function (e)

{

   



    if (!container.is(e.target) // if the target of the click isn't the container...

        && container.has(e.target).length === 0) // ... nor a descendant of the container

    {

        container.find('.aws-search-wrapper-ul').empty().css({'height':'auto','overflow':'visible'});

		container.find('.advanced_fields_wrapper').hide();

		container.find('.awscat').removeAttr('checked');

		container.find('.awstag').removeAttr('checked');

		container.find('.awsname').val('');

    }

});



  container.find('.awsname').on('keyup',function(){

	showReulsts();



	setResultWrapperStyles(container.find('.result').length);



  });

 container.find('.awscat').on('change',function(){

	showReulsts();

	setResultWrapperStyles(container.find('.result').length);

	

 }) ;

 

   container.find('.awstag').on('change',function(){

	 showReulsts();

	setResultWrapperStyles(container.find('.result').length);

 }) ;

 

 

 

 var showReulsts=function(){

	 var allProductResults=parseInt(aws_plugin_vars.all_result_count);

	 var titleVal=  container.find('.awsname').val();

	  var resultWraper= container.find('.aws-search-wrapper-ul');

	 resultWraper.find('li.result').remove();

	 

	 if(allowShowReults()==false) return;

	 

	 var arrCats=getSmilerCategories(getCheckedCats());

	 var titles=getSimilerTitles(titleVal);

	 var tags=getSmilerTags(getCheckedTags());

	 

 var arrContact=getCommanValuesofArray(arrContanation(arrCats,titles));

	   arrContact=arrContanation(arrContact,tags);

	  var resArr=getCommanValuesofArray(arrContact);

	 

	   if(resArr.length){ //if results found





	   var noOfResultstoShow=parseInt(aws_plugin_vars.search_results_count);

	 



	   var resCount=(noOfResultstoShow>0 && noOfResultstoShow<= resArr.length) ? noOfResultstoShow : resArr.length;	

     

	               resArr=sortedBy(resArr,aws_plugin_vars.sort_field,aws_plugin_vars.order);						 

	     

		   for(var i=0;i<resCount;i++){                             

			   var productInfo=getProductInfo(resArr[i]);


               if( productInfo['hide_product_for_cats_or_tags']=='hide') continue;
			  

			   var productTitle=productInfo['title'];

			   var modifiedTitle=(titleVal) ? productTitle.replace(titleVal,'<span class="aws_h">'+titleVal+'</span>') :productTitle;			   			  

			   modifiedTitle='<span class="aws_pro_title">'+modifiedTitle+'</span>';

			   

			  

			   

			   

			   var salePrice=(productInfo['price']) ? '<span class="sel_price">'+productInfo['price']+'</span>' : '';

			   var regPriceClass=(productInfo['price']) ? 'has_sel' :'';

			   

			    var regPrice=(productInfo['regprice']) ? '<span class="reg_price '+regPriceClass+'">'+productInfo['regprice']+'</span>' : '';

			   

			   var awsprice='<span class="aws_price_info">'+salePrice+regPrice+'</span>';

			   

			   

			   $result_elems_list='<li class="result">';

			    $result_elems_list+='<a href="'+productInfo['url']+'">';

				

					   if(!aws_plugin_vars.hide_thumb &&  productInfo['image']!=undefined && productInfo['image']!=''){

						$result_elems_list+='<span class="aws_pro_img"><img src="'+productInfo['image']+'" alt=""/></span>';

					   }

					

					  var ifHideThumbClass=(aws_plugin_vars.hide_thumb || productInfo['image']==undefined || productInfo['image']=='') ? 'aws_fullwidth' :'';

						$result_elems_list+='<span class="aws_p_info '+ifHideThumbClass+'">';

							 $result_elems_list+=modifiedTitle;

							 

							 if(!aws_plugin_vars.hide_price){

							  $result_elems_list+=awsprice;

							 }

							 if(!aws_plugin_vars.hide_description){

							  $result_elems_list+='<span class="aws_des">'+productInfo['description']+'</span>';

							 }

							 

						$result_elems_list+='</span>';

					$result_elems_list+='<span class="clear"></span>';

				 $result_elems_list+='</a>';

				$result_elems_list+='</li>'

			   

			   

			   $($result_elems_list).appendTo(resultWraper); 

			   

		   }

		   

		  

		    if(resArr.length>noOfResultstoShow){

				

			   var allSerachProducts=resArr.length;

			   

			     $('<li class=" result result_more"><a href="'+aws_plugin_vars.home_url+'?s='+encodeURIComponent(titleVal)+'&post_type=product">'+aws_plugin_vars.tr_txt_view_all+' "'+titleVal+'" '+aws_plugin_vars.tr_txt_products+' <span class="aws_p_counter">('+allSerachProducts+' '+aws_plugin_vars.tr_txt_products+')</span></a></li>')

				.appendTo(resultWraper); 

		   }

		   

		   

	   }else{

		    $('<li class="result">'+aws_plugin_vars.tr_txt_result_not_found+'</li>')

		    .appendTo(resultWraper); 

	   }

	   

	     $('<li class="result result_all"><a href="'+aws_plugin_vars.home_url+'?s=&post_type=product">'+aws_plugin_vars.tr_txt_view_all_products+' <span class="aws_p_counter">('+allProductResults+' '+aws_plugin_vars.tr_txt_products+')</span></a></li>')

				.appendTo(resultWraper); 

	   

	 

 }

 

 var allowShowReults=function(){

	 var checkedCats=getCheckedCats();

	 var checkedTags=getCheckedTags();

	 var filledTitle= container.find('.awsname').val();

	 return (checkedCats.length || checkedTags.length || filledTitle);

 };  


 var sortedBy=function(resArr,orderField,order){

	 orderField=(!orderField) ? 'price' : orderField;

	 order=(!order) ? 'DESC' :order;


	 var modifiedResArr=new Array();    
	 var priceArr= new Array();	

	 	       var noOfResultstoShow=parseInt(aws_plugin_vars.search_results_count);
			   var resCount= resArr.length;	 for(var i=0;i<resCount;i++){   
			   var productInfo=getProductInfo(resArr[i]);		

			   // priceArr[resArr[i]+'key']=parseFloat(productInfo['regprice_value']);



         priceArr.push({key: resArr[i], val: productInfo[getSoterdField_for_paramSortedField(orderField)]})	         

	   	  }	     //priceArr=priceArr.sort();

	 

	 priceArr.sort(function(a,b) {


			    if(a.val < b.val) return -1;

                if(a.val > b.val) return 1;

                return 0;


    });

	 for (var i in priceArr){


		 modifiedResArr.push(priceArr[i]['key'])

	 }

	 

	 if(order=='DESC'){

		 modifiedResArr.reverse();

	 }

	  	  return modifiedResArr; 	      };

  

  var getSoterdField_for_paramSortedField=function(givenSortedField){

	  givenSortedField=(!givenSortedField) ? 'price' : givenSortedField;

	  var sortedField;

	  

	  switch (givenSortedField) {

			case 'price':

				sortedField = 'regprice_value';

				break;

				

			case 'sell_price':

                sortField= 'sellprice_value';

                 break;	

				 

			case 'title':

				sortedField = "title";

				break;

			case 'added_date':

				sortedField = "added_date";

				break;	

			case 'last_modified_date':

				sortedField = "last_modified_date";

				break;	

				

			default:

				sortedField = 'regprice_value';

		} 

		return sortedField;

  };

 

  var getCheckedCats=function(){

	   var catListArr=[];

	    container.find('.awscat').each(function(i){

		   if($(this).prop('checked')){

		    catListArr.push($(this).val());

		   

		   }

	 });

	 return catListArr;

  }

    var getCheckedTags=function(){

	   var tagListArr=[];

	   container.find('.awstag').each(function(i){

		   if($(this).prop('checked')){

		    tagListArr.push($(this).val());

		   

		   }

	 });

	 return tagListArr;

  }

  

  

  var arrContanation=function(arr1,arr2){

	  for(var i=0;i<arr2.length;i++){

		  arr1.push(arr2[i]);

	  }

	  return arr1;

  }

  var getCommanValuesofArray=function(arr){

	  

	    var sorted_arr = arr.sort();                  

		var results = [];

		for (var i = 0; i < arr.length - 1; i++) {

			if (sorted_arr[i + 1] == sorted_arr[i]) {

				results.push(sorted_arr[i]);

			}

		}



	 return(results);

  }

  

  var getSimilerTitles =function (searchTitle){	 
  
  var searchOption='<?php echo $aws_opt['aws_search_input_search']; ?>';
  
  
  searchOption=(undefined==searchOption || !searchOption) ? 'title_only' : searchOption;	
  
  
	  var similerTitleArr=[];
	  
	  searchTitle=searchTitle.toLowerCase();
	  

	        for (var i in res) {
				 var title=res[i]['title'];		

				 var sku=res[i]['sku'];		
				 
				 title=title.toLowerCase();
				 
				 if(searchTitle !==undefined && searchTitle !==''){
					 
					 if(searchOption=='title_only'){	

					     if(title.indexOf(searchTitle)>-1)  
						    similerTitleArr.push(res[i]['ID']);
					 
					 
					 }else if(searchOption=='title_sku'){	
					 
					 
					     if(title.indexOf(searchTitle)>-1 || (undefined !=sku  && sku.indexOf(searchTitle)>-1))  
						    similerTitleArr.push(res[i]['ID']);	
					 
					 }else if(searchOption=='sku_only'){	
					 
					 
					     if(undefined !=sku  && sku.indexOf(searchTitle)>-1)   
						   similerTitleArr.push(res[i]['ID']);	
						 
					 }else{		
					 
					      /*no oparations*/

					 }
				 }else{
					  similerTitleArr.push(res[i]['ID']);
				 }
			}
      return (similerTitleArr);
  };

  
  

  var getSmilerCategories= function(catList){

	  var similerCatArr=[];

	   for (var i in res) {

		    var cat=res[i]['categories'];

			

		    if(catList && catList.length){

			if(cat && cat.length && isInArray(catList,cat))

					 similerCatArr.push(res[i]['ID']);

			}else{

				 similerCatArr.push(res[i]['ID']);

			}	 

			

			

		   

	   }

	   return similerCatArr;

	  

  };

  

    var getSmilerTags= function(tagList){

	  var similerTagArr=[];

	   for (var i in res) {

		    var tag=res[i]['tags'];

			

			 if(tagList && tagList.length){

			if(tag && tag.length && isInArray(tagList,tag))

					 similerTagArr.push(res[i]['ID']);

			}else{

				 similerTagArr.push(res[i]['ID']);

			}	 

			

		   

	   }

	   return similerTagArr;

	  

  };

  

  var getProductInfo=function(productID){

	     for (var i in res) {

			   if(res[i]['ID']==productID){

				     var productInfo=[];

					 productInfo['title']=res[i]['title'];

					 productInfo['url']=res[i]['url'];

					 productInfo['image']=res[i]['featurd_image'];

					 productInfo['description']=res[i]['description'];

					 productInfo['price']=(res[i]['price_html'])? res[i]['price_html'] : '';

					  productInfo['regprice']=(res[i]['reg_price_html'])? res[i]['reg_price_html'] : '';
					  
					   productInfo['sku']=(res[i]['sku'])? res[i]['sku'] : '';

					  productInfo['regprice_value']=(res[i]['reg_price'])? res[i]['reg_price'] : 0;

	

					   productInfo['added_date']=(res[i]['added_date'])? res[i]['added_date'] : '';

					    productInfo['last_modified_date']=(res[i]['last_modified_date'])? res[i]['last_modified_date'] : '';
						
					   var show_category=(undefined!=res[i]['exclude_category_flag'] && res[i]['exclude_category_flag'] == 'hide') ? 'hide' : 'show';
						var show_tag=(undefined!=res[i]['exclude_tag_flag'] && res[i]['exclude_tag_flag'] == 'hide') ? 'hide' : 'show';
						
						productInfo['hide_product_for_cats_or_tags']=(show_category=='hide' || show_tag=='hide') ? 'hide' : 'show';

				    return productInfo;

			   }

			 

		 }

		 return [];

  }

  

  var  isSubArray=function (subArray, array) { 

		for(var i = 0 , len = subArray.length; i < len; i++) { 

		if($.inArray(subArray[i], array) == -1) return false;     

		}   

		return true;

	}

	

	

  var isInArray =function (array,checkArray){

	  for(var i=0;i<checkArray.length;i++){

		  for(var j=0;j<array.length;j++){

				 if(array.indexOf(checkArray[i])!= -1) return true;

		  }

	  }

	   return false;  

  }

  

  /*****options based styles***********/

  var optionsFields= container.find('.field');

  var resultWrapper= container.find('.aws-search-wrapper-ul');

  var result= container.find('.result');

  

  var noOfOptions=optionsFields.length;

  var fieldWidth=parseInt(100/noOfOptions)-2;

  /*optionsFields.css({

	  'width':fieldWidth+'%'

  });*/

  optionsFields.removeClass('opt-1 opt-2 opt-3');

  optionsFields.addClass('opt-'+noOfOptions);

  

  var setResultWrapperStyles=function(resultCount){

	  

	 

	 

		//console.log(resultCount);

		if(resultCount>=5){

			resultWrapper.css({

				'height':'400px',

				'overflow':'auto'

			})

		}else{

			resultWrapper.css({

				'height':'auto',

				'overflow':'visible'

			})

		}

  }





  //Advanced Filter Fontend



  var filterButton = container.find('.advanced_fields');

  filterButton.click(function(){

  	container.find('.advanced_fields_wrapper').slideToggle(400 , 'linear');

  	$(this).parent().toggleClass('open_advanced_fiter');

  });



  //Custom Scroll bar

 

 	container.find('.field.cat_field').mCustomScrollbar({

 		theme: "minimal-dark"

 	});

   container.find('.field.tag_field').mCustomScrollbar({

    	theme: "minimal-dark"

    });

    //$('.aws-search-wrapper').mCustomScrollbar();

  

  

});//end dom ready function

	</script>

	<?php 

	

	 $getContent = ob_get_contents();

	 ob_end_clean();

	

	return $getContent;

}

add_shortcode( 'aws', 'aws_shortcode' );





function aws_remove_product_form () {

	$aws_opt=get_option('aws_admin_settings');	

    if($aws_opt['aws_replace_product_search']!='yes') return;

	

  remove_all_filters( 'aws_woo_custom_product_searchform');

  add_filter( 'get_product_search_form' , 'aws_woo_custom_product_searchform',99 );

}

add_action( 'after_setup_theme', 'aws_remove_product_form' );





function aws_woo_custom_product_searchform( $form ) {

	

		

	if ( !class_exists( 'WooCommerce' ) ) {		

    	 return;

		}



	 $aws_opt=get_option('aws_admin_settings');	



		

	 ob_start();

		

	$str='';

	$uid=uniqid().time();

	$str.='<div class="aws-search-wrapper" id="aws-search-wrapper-'.$uid.'" data-uid="'.$uid.'">';

	

	$str.='<div class="aws-search-loading"><h3>'.__('Populating data','aws').'...</h3></div>';

	$str.='<div class="field name_field">';

	$str.='<input class="awsname" name="awsname" id="awsname-'.$uid.'" type="search" placeholder="'.__('Start typing','aws').'..." />';

	$str.='</div><!--end name_field-->';



	$str.='<button id="advanced_fields-'.$uid.'" class="advanced_fields">'.__('Advanced Filter','aws').'</button>';



	$str.='<div class="search_results_wrapper">';



	$str.='<div class="advanced_fields_wrapper">';
	
	/*$str.='<div class="field enable_sku_search">';
	$str.='<input type="checkbox" id="enable-sku-search" value="1" />';
	$str.='<label for="enable-sku-search">'.__('Enable searching SKU','aws').'</label>';
	
	$str.='</div>';*/

	

	$str.='<div class="field cat_field">';

	$args = array( 'hide_empty'=>0);

    $cat_terms = get_terms( 'product_cat', $args );

	if ( ! empty( $cat_terms ) && ! is_wp_error( $cat_terms ) && count($cat_terms) ) {
		
		$exclude_list=$aws_opt['aws_exclude_categories'];
		$exclude_list=(isset($exclude_list) && is_array($exclude_list)) ? $exclude_list :array();

		$str.='<div class="field_lbl">'.$aws_opt['aws_product_category_lbl'].'</div>';

		foreach($cat_terms as $c){
             if(in_array($c->term_id,$exclude_list)) continue;
			$str.='<div class="checkbox_field">';

			$str.='<input type="checkbox" name="awscat[]" class="awscat" id="awscat-'.$uid.'-'.$c->slug.'" value="'.$c->slug.'" />';

			$str.='<label for="awscat-'.$uid.'-'.$c->slug.'">'.__($c->name,'aws').'</label>';

			$str.='</div>';

		}

		

	}

	$str.='</div><!--end cat_field-->';

	

	$str.='<div class="field tag_field">';

	$args = array( 'hide_empty'=>0);

	

    $tag_terms = get_terms( 'product_tag', $args );

	if ( ! empty( $tag_terms ) && ! is_wp_error( $tag_terms ) && count($tag_terms) ) {
		
		$exclude_list=$aws_opt['aws_exclude_tags'];
		$exclude_list=(isset($exclude_list) && is_array($exclude_list)) ? $exclude_list :array();

		$str.='<div class="field_lbl">'.$aws_opt['aws_product_tags_lbl'].'</div>';

		foreach($tag_terms as $t){
            if(in_array($c->term_id,$exclude_list)) continue;
			$str.='<div class="checkbox_field">';

			$str.='<input type="checkbox" name="awstag[]" class="awstag" id="awstag-'.$uid.'-'.$t->slug.'" value="'.$t->slug.'" />';

			$str.='<label for="awstag-'.$uid.'-'.$t->slug.'">'.__($t->name,'aws').'</label>';

				$str.='</div>';

		}

		

	}

	$str.='</div><!--end tag_field-->';



	$str.='<div class="clear"></div>';



	$str.='</div><!--end advanced_fields_wrapper-->';

	

	$str.='<ul class="aws-search-wrapper-ul"></ul>';



	$str.='</div><!--end search result warpper-->';

	

	$str.='</div><!--end aws search wrapper-->';

	echo $str;

	

	?>

	<script>

	jQuery(document).ready(function($){

		

		var res;

		$(window).load(function () {

   /* $.getJSON(aws_plugin_vars.aws_product_json_results, function(json){

       res=json;

	   setTimeout(function(){

		    $('.aws-search-wrapper').addClass('show');

	   },1500);

	  

   });

   */

        jQuery.ajax({

                   type : "post",

                   dataType : "json",

                   url : aws_plugin_vars.ajaxurl,

                   data : {action: "aws_populate_data"},



                   success: function(response) {



                          res=response;

						   setTimeout(function(){

		                     $('.aws-search-wrapper').addClass('show');

	                      },1500);



                   }





            });

   

   

   

  });

		

  



 //var containerClass = $(".aws-search-wrapper");

	//var containerUid=containerClass.attr('data-uid');

	var container=$("#aws-search-wrapper-<?php echo $uid;?>");

	

$(document).mouseup(function (e)

{

   



    if (!container.is(e.target) // if the target of the click isn't the container...

        && container.has(e.target).length === 0) // ... nor a descendant of the container

    {

        container.find('.aws-search-wrapper-ul').empty().css({'height':'auto','overflow':'visible'});

		container.find('.advanced_fields_wrapper').hide();

		container.find('.awscat').removeAttr('checked');

		container.find('.awstag').removeAttr('checked');

		container.find('.awsname').val('');

    }

});



  container.find('.awsname').on('keyup',function(){

	showReulsts();



	setResultWrapperStyles(container.find('.result').length);



  });

 container.find('.awscat').on('change',function(){

	showReulsts();

	setResultWrapperStyles(container.find('.result').length);

	

 }) ;

 

   container.find('.awstag').on('change',function(){

	 showReulsts();

	setResultWrapperStyles(container.find('.result').length);

 }) ;

 

 

 

 var showReulsts=function(){

	 var allProductResults=parseInt(aws_plugin_vars.all_result_count);

	 var titleVal=  container.find('.awsname').val();

	  var resultWraper= container.find('.aws-search-wrapper-ul');

	 resultWraper.find('li.result').remove();

	 

	 if(allowShowReults()==false) return;

	 

	 var arrCats=getSmilerCategories(getCheckedCats());

	 var titles=getSimilerTitles(titleVal);

	 var tags=getSmilerTags(getCheckedTags());

	 

 var arrContact=getCommanValuesofArray(arrContanation(arrCats,titles));

	   arrContact=arrContanation(arrContact,tags);

	  var resArr=getCommanValuesofArray(arrContact);

	 

	   if(resArr.length){ //if results found





	   var noOfResultstoShow=parseInt(aws_plugin_vars.search_results_count);

	 



	   var resCount=(noOfResultstoShow>0 && noOfResultstoShow<= resArr.length) ? noOfResultstoShow : resArr.length;	

     

	               resArr=sortedBy(resArr,aws_plugin_vars.sort_field,aws_plugin_vars.order);						 

	     

		   for(var i=0;i<resCount;i++){                             

			   var productInfo=getProductInfo(resArr[i]);

			   

			   //console.log(productInfo);



			   if( productInfo['hide_product_for_cats_or_tags']=='hide') continue;

			   var productTitle=productInfo['title'];
			   
			   
			  

			   var modifiedTitle=(titleVal) ? productTitle.replace(titleVal,'<span class="aws_h">'+titleVal+'</span>') :productTitle;			   			  

			   modifiedTitle='<span class="aws_pro_title">'+modifiedTitle+'</span>';

			   

			  

			   

			   

			   var salePrice=(productInfo['price']) ? '<span class="sel_price">'+productInfo['price']+'</span>' : '';

			   var regPriceClass=(productInfo['price']) ? 'has_sel' :'';

			   

			    var regPrice=(productInfo['regprice']) ? '<span class="reg_price '+regPriceClass+'">'+productInfo['regprice']+'</span>' : '';

			   

			   var awsprice='<span class="aws_price_info">'+salePrice+regPrice+'</span>';

			   

			   

			   $result_elems_list='<li class="result">';

			    $result_elems_list+='<a href="'+productInfo['url']+'">';

				

					   if(!aws_plugin_vars.hide_thumb){

						$result_elems_list+='<span class="aws_pro_img"><img src="'+productInfo['image']+'" alt=""/></span>';

					   }

					

					  var ifHideThumbClass=(aws_plugin_vars.hide_thumb) ? 'aws_fullwidth' :'';

						$result_elems_list+='<span class="aws_p_info '+ifHideThumbClass+'">';

							 $result_elems_list+=modifiedTitle;

							 

							 if(!aws_plugin_vars.hide_price){

							  $result_elems_list+=awsprice;

							 }

							 if(!aws_plugin_vars.hide_description){

							  $result_elems_list+='<span class="aws_des">'+productInfo['description']+'</span>';

							 }

							 

						$result_elems_list+='</span>';

					$result_elems_list+='<span class="clear"></span>';

				 $result_elems_list+='</a>';

				$result_elems_list+='</li>'

			   

			   

			   $($result_elems_list).appendTo(resultWraper); 

			   

		   }

		   

		  

		  console.log(resArr.length);

		   console.log(noOfResultstoShow);

		  

		    if(resArr.length>noOfResultstoShow){

				

			   var allSerachProducts=resArr.length;

			   

			     $('<li class=" result result_more"><a href="'+aws_plugin_vars.home_url+'?s='+encodeURIComponent(titleVal)+'&post_type=product">'+aws_plugin_vars.tr_txt_view_all+' "'+titleVal+'" '+aws_plugin_vars.tr_txt_products+' <span class="aws_p_counter">('+allSerachProducts+' '+aws_plugin_vars.tr_txt_products+')</span></a></li>')

				.appendTo(resultWraper); 

		   }

		   

		   

	   }else{

		    $('<li class="result">'+aws_plugin_vars.tr_txt_result_not_found+'</li>')

		    .appendTo(resultWraper); 

	   }

	   

	     $('<li class="result result_all"><a href="'+aws_plugin_vars.home_url+'?s=&post_type=product">'+aws_plugin_vars.tr_txt_view_all_products+' <span class="aws_p_counter">('+allProductResults+' '+aws_plugin_vars.tr_txt_products+')</span></a></li>')

				.appendTo(resultWraper); 

	   

	 

 }

 

 var allowShowReults=function(){

	 var checkedCats=getCheckedCats();

	 var checkedTags=getCheckedTags();

	 var filledTitle= container.find('.awsname').val();

	 return (checkedCats.length || checkedTags.length || filledTitle);

 };    var sortedBy=function(resArr,orderField,order){

	 

	 orderField=(!orderField) ? 'price' : orderField;

	 order=(!order) ? 'DESC' :order;

	 

	 

	 var modifiedResArr=new Array();    	 var priceArr= new Array();	

	 	       var noOfResultstoShow=parseInt(aws_plugin_vars.search_results_count);	  	 var resCount= resArr.length;	 for(var i=0;i<resCount;i++){     	   var productInfo=getProductInfo(resArr[i]);		 // priceArr[resArr[i]+'key']=parseFloat(productInfo['regprice_value']);



         priceArr.push({key: resArr[i], val: productInfo[getSoterdField_for_paramSortedField(orderField)]})	         

	   	  }	     //priceArr=priceArr.sort();

	 

	 priceArr.sort(function(a,b) {

		 

			    if(a.val < b.val) return -1;

                if(a.val > b.val) return 1;

                return 0;

		 

		 

         

    });

	 for (var i in priceArr){

		 

		 modifiedResArr.push(priceArr[i]['key'])

	 }

	 

	 if(order=='DESC'){

		 modifiedResArr.reverse();

	 }

	  	  return modifiedResArr; 	      };

  

  var getSoterdField_for_paramSortedField=function(givenSortedField){

	  givenSortedField=(!givenSortedField) ? 'price' : givenSortedField;

	  var sortedField;

	  

	  switch (givenSortedField) {

			case 'price':

				sortedField = 'regprice_value';

				break;

				

			case 'sell_price':

                sortField= 'sellprice_value';

                 break;	

				 

			case 'title':

				sortedField = "title";

				break;

			case 'added_date':

				sortedField = "added_date";

				break;	

			case 'last_modified_date':

				sortedField = "last_modified_date";

				break;	

				

			default:

				sortedField = 'regprice_value';

		} 

		return sortedField;

  };

 

  var getCheckedCats=function(){

	   var catListArr=[];

	    container.find('.awscat').each(function(i){

		   if($(this).prop('checked')){

		    catListArr.push($(this).val());

		   

		   }

	 });

	 return catListArr;

  }

    var getCheckedTags=function(){

	   var tagListArr=[];

	   container.find('.awstag').each(function(i){

		   if($(this).prop('checked')){

		    tagListArr.push($(this).val());

		   

		   }

	 });

	 return tagListArr;

  }

  

  

  var arrContanation=function(arr1,arr2){

	  for(var i=0;i<arr2.length;i++){

		  arr1.push(arr2[i]);

	  }

	  return arr1;

  }

  var getCommanValuesofArray=function(arr){

	  

	    var sorted_arr = arr.sort();                  

		var results = [];

		for (var i = 0; i < arr.length - 1; i++) {

			if (sorted_arr[i + 1] == sorted_arr[i]) {

				results.push(sorted_arr[i]);

			}

		}



	 return(results);

  }

  
  
  
 var getSimilerTitles =function (searchTitle){	 
  
  var searchOption='<?php echo $aws_opt['aws_search_input_search']; ?>';
  
  
  searchOption=(undefined==searchOption || !searchOption) ? 'title_only' : searchOption;	
  
  
	  var similerTitleArr=[];
	  
	  searchTitle=searchTitle.toLowerCase();
	  

	        for (var i in res) {
				 var title=res[i]['title'];		

				 var sku=res[i]['sku'];		
				 
				 title=title.toLowerCase();
				 
				 if(searchTitle !==undefined && searchTitle !==''){
					 
					 if(searchOption=='title_only'){	

					     if(title.indexOf(searchTitle)>-1)  
						    similerTitleArr.push(res[i]['ID']);
					 
					 
					 }else if(searchOption=='title_sku'){	
					 
					 
					     if(title.indexOf(searchTitle)>-1 || (undefined !=sku  && sku.indexOf(searchTitle)>-1))  
						    similerTitleArr.push(res[i]['ID']);	
					 
					 }else if(searchOption=='sku_only'){	
					 
					 
					     if(undefined !=sku  && sku.indexOf(searchTitle)>-1)   
						   similerTitleArr.push(res[i]['ID']);	
						 
					 }else{		
					 
					      /*no oparations*/

					 }
				 }else{
					  similerTitleArr.push(res[i]['ID']);
				 }
			}
      return (similerTitleArr);
  };

  

  var getSmilerCategories= function(catList){

	  var similerCatArr=[];

	   for (var i in res) {

		    var cat=res[i]['categories'];

			

		    if(catList && catList.length){

			if(cat && cat.length && isInArray(catList,cat))

					 similerCatArr.push(res[i]['ID']);

			}else{

				 similerCatArr.push(res[i]['ID']);

			}	 

			

			

		   

	   }

	   return similerCatArr;

	  

  };

  

    var getSmilerTags= function(tagList){

	  var similerTagArr=[];

	   for (var i in res) {

		    var tag=res[i]['tags'];

			

			 if(tagList && tagList.length){

			if(tag && tag.length && isInArray(tagList,tag))

					 similerTagArr.push(res[i]['ID']);

			}else{

				 similerTagArr.push(res[i]['ID']);

			}	 

			

		   

	   }

	   return similerTagArr;

	  

  };

  

  var getProductInfo=function(productID){

	     for (var i in res) {

			   if(res[i]['ID']==productID){

				     var productInfo=[];

					 productInfo['title']=res[i]['title'];

					 productInfo['url']=res[i]['url'];

					 productInfo['image']=res[i]['featurd_image'];

					 productInfo['description']=res[i]['description'];

					 productInfo['price']=(res[i]['price_html'])? res[i]['price_html'] : '';

					  productInfo['regprice']=(res[i]['reg_price_html'])? res[i]['reg_price_html'] : '';

					  productInfo['regprice_value']=(res[i]['reg_price'])? res[i]['reg_price'] : 0;
					  
					    productInfo['sku']=(res[i]['sku'])? res[i]['sku'] : 0;

	

					   productInfo['added_date']=(res[i]['added_date'])? res[i]['added_date'] : '';

					    productInfo['last_modified_date']=(res[i]['last_modified_date'])? res[i]['last_modified_date'] : '';
						
						
						var show_category=(undefined!=res[i]['exclude_category_flag'] && res[i]['exclude_category_flag'] == 'hide') ? 'hide' : 'show';
						var show_tag=(undefined!=res[i]['exclude_tag_flag'] && res[i]['exclude_tag_flag'] == 'hide') ? 'hide' : 'show';
						
						productInfo['hide_product_for_cats_or_tags']=(show_category=='hide' || show_tag=='hide') ? 'hide' : 'show';
						
					
				    return productInfo;

			   }

			 

		 }

		 return [];

  }

  

  var  isSubArray=function (subArray, array) { 

		for(var i = 0 , len = subArray.length; i < len; i++) { 

		if($.inArray(subArray[i], array) == -1) return false;     

		}   

		return true;

	}

	

	

  var isInArray =function (array,checkArray){

	  for(var i=0;i<checkArray.length;i++){

		  for(var j=0;j<array.length;j++){

				 if(array.indexOf(checkArray[i])!= -1) return true;

		  }

	  }

	   return false;  

  }

  

  /*****options based styles***********/

  var optionsFields= container.find('.field');

  var resultWrapper= container.find('.aws-search-wrapper-ul');

  var result= container.find('.result');

  

  var noOfOptions=optionsFields.length;

  var fieldWidth=parseInt(100/noOfOptions)-2;

  /*optionsFields.css({

	  'width':fieldWidth+'%'

  });*/

  optionsFields.removeClass('opt-1 opt-2 opt-3');

  optionsFields.addClass('opt-'+noOfOptions);

  

  var setResultWrapperStyles=function(resultCount){

	  

	 

	 

		//console.log(resultCount);

		if(resultCount>=5){

			resultWrapper.css({

				'height':'400px',

				'overflow':'auto'

			})

		}else{

			resultWrapper.css({

				'height':'auto',

				'overflow':'visible'

			})

		}

  }





  //Advanced Filter Fontend



  var filterButton = container.find('.advanced_fields');

  filterButton.click(function(){

  	container.find('.advanced_fields_wrapper').slideToggle(400 , 'linear');

  	$(this).parent().toggleClass('open_advanced_fiter');

  });



  //Custom Scroll bar

 

 	container.find('.field.cat_field').mCustomScrollbar({

 		theme: "minimal-dark"

 	});

   container.find('.field.tag_field').mCustomScrollbar({

    	theme: "minimal-dark"

    });

    //$('.aws-search-wrapper').mCustomScrollbar();

  

  

});//end dom ready function

	</script>

	<?php 

	

	 $getContent = ob_get_contents();

	 ob_end_clean();

return $getContent;

	

}