<?php

add_action('admin_menu', 'aws_plugin_settings_menu');



function aws_plugin_settings_menu(){

add_menu_page( __('AWS Plugin Settings','aws'), __('AWS','aws'), 'administrator',  'aws_plugin_settings_menu', 'aws_plugin_settings_menu_callback');

}

function aws_plugin_settings_menu_callback(){	



		 $get_saved=unserialize(get_option('aws_data_source'));	 

		 

		/* print_r($get_saved);*/
		
		

	if($_POST['aws_save_settings']){ 


	 $updated_aws_settings=array(

	      

		  'aws_product_category_lbl'=>($_POST['aws_product_category_lbl']) ? sanitize_text_field($_POST['aws_product_category_lbl']) : __('Categories','aws'),

		  'aws_product_tags_lbl'=>($_POST['aws_product_tags_lbl']) ? sanitize_text_field($_POST['aws_product_tags_lbl']) : __('Tags','aws'),
		  
		  'aws_search_input_search'=>(isset($_POST['aws_search_input_search']) && is_array($_POST['aws_search_input_search'])) ? $_POST['aws_search_input_search'][0] : 'title_only',

		  'aws_replace_product_search'=>$_POST['aws_replace_product_search'],

		  'aws_no_of_search_results'=>($_POST['aws_no_of_search_results']) ? sanitize_text_field($_POST['aws_no_of_search_results']) : 10,

		  'aws_order_by_search'=>($_POST['aws_order_by_search']) ? sanitize_text_field($_POST['aws_order_by_search']) : 'date',

		  'aws_order_search'=>($_POST['aws_order_search']) ? sanitize_text_field($_POST['aws_order_search']) : 'DESC',

		  

		  'aws_appearance_background_color'=>($_POST['aws_appearance_background_color']) ? sanitize_text_field($_POST['aws_appearance_background_color']) : '',

		   'aws_appearance_header_color'=>($_POST['aws_appearance_header_color']) ? sanitize_text_field($_POST['aws_appearance_header_color']) : '',

		   'aws_appearance_header_text_color'=>($_POST['aws_appearance_header_text_color']) ? sanitize_text_field($_POST['aws_appearance_header_text_color']) : '',

		   'aws_appearance_product_title_color'=>($_POST['aws_appearance_product_title_color']) ? sanitize_text_field($_POST['aws_appearance_product_title_color']) : '',

		   'aws_appearance_text_color'=>($_POST['aws_appearance_text_color']) ? sanitize_text_field($_POST['aws_appearance_text_color']) : '',

		   

		   

		   'aws_hide_thumb'=>($_POST['aws_hide_thumb']=='yes') ? 'yes' : 'no',

		   'aws_hide_description'=>($_POST['aws_hide_description']=='yes') ? 'yes' : 'no',

		   'aws_hide_price'=>($_POST['aws_hide_price']=='yes') ? 'yes' : 'no',
		   
		   'aws_exclude_categories'=>(isset($_POST['aws_exclude_categories']) && is_array($_POST['aws_exclude_categories'])) ? $_POST['aws_exclude_categories'] : array(),
		   
		    'aws_exclude_tags'=>(isset($_POST['aws_exclude_tags']) && is_array($_POST['aws_exclude_tags'])) ? $_POST['aws_exclude_tags'] : array(),

		  

	 );   


	 /*update_option('aws_fisrt_update','no');*/

	 $updated=update_option('aws_admin_settings',$updated_aws_settings);
     if($updated)
		 update_data_source_on_admin_settings_changed();
	 

	

	$save_msg='<div id="message" class="updated"><p><strong>'.__('Settings Updated','aws').'</strong></p></div>'; 



	}  



$aws_settings=get_option('aws_admin_settings');

?> 



 <div class="aws_admin_panel_wrapper">

 <?php echo $save_msg; ?> 



  <form name="aws_settings_form" id="aws-settings-form" method="post" action="">

   <h2 class="main_title"><?php _e('AWS Plugin Settings','aws');?></h2>



   <div class="fields_wrapper">	



    

	<div class="field_section">

	   <h3 class="section_title"><?php _e('Plugin Options','aws');?></h3>

		<div class="field">	

		<label for="aws-no-of-search-results"><?php _e('Number of search results','aws');?></label>

		<input type="number" name="aws_no_of_search_results" id="aws-no-of-search-results" class=" number_field" min="1" value="<?php echo $aws_settings['aws_no_of_search_results'];?>" />	

		</div>	

		

		<div class="field" >	

			<label for="aws-order-by-search"><?php _e('Order search results by','aws');?></label>            

			<select name="aws_order_by_search" id="aws-order-by-search">              			  

			  <option value="price" <?php selected( $aws_settings['aws_order_by_search'], 'price' ); ?>><?php _e('Product price','aws');?></option>			  			

			  <option value="title" <?php selected( $aws_settings['aws_order_by_search'], 'title' ); ?>><?php _e('Product title','aws');?></option>			  			   <option value="added_date" <?php selected( $aws_settings['aws_order_by_search'], 'added_date' ); ?>><?php _e('Product Added Date','aws');?></option>			  <option value="last_modified_date" <?php selected( $aws_settings['aws_order_by_search'], 'last_modified_date' ); ?>><?php _e('Product Last Modified Date','aws');?></option>

			

			</select>

		 

		</div>

		

		<div class="field">	

			<label for="aws-order-search"><?php _e('Search order','aws');?></label>

			<select name="aws_order_search" id="aws-order-search">

			  <option value="DESC" <?php selected( $aws_settings['aws_order_search'], 'DESC' ); ?>><?php _e('Descending order','aws');?></option>

			  <option value="ASC" <?php selected( $aws_settings['aws_order_search'], 'ASC' ); ?>><?php _e('Ascending order','aws');?></option>			  			  

			 

			</select>

		 

		</div>
		
		
		
		<div class="field search_input_search">	
		
		<h4 class="field_title"><?php _e('Keyword inputted in search field will search:','aws');?></h4>
        
		<input type="radio" name="aws_search_input_search[]" id="aws-search-input-search-title-only" class="checkbo_field" value="title_only" <?php if($aws_settings['aws_search_input_search']=='title_only') echo  'checked'; ?> />
		<label for="aws-search-input-search-title-only"><?php _e('Title only','aws');?></label>
		
		<input type="radio" name="aws_search_input_search[]" id="aws-search-input-search-title-sku" class="checkbo_field" value="title_sku" <?php if($aws_settings['aws_search_input_search']=='title_sku') echo  'checked'; ?> />
		<label for="aws-search-input-search-title-sku"><?php _e('Both title and SKU','aws');?></label>
		
		<input type="radio" name="aws_search_input_search[]" id="aws-search-input-search-sku-only" class="checkbo_field" value="sku_only" <?php if($aws_settings['aws_search_input_search']=='sku_only') echo  'checked'; ?> />
		<label for="aws-search-input-search-sku-only"><?php _e('SKU only','aws');?></label>
		

		</div>	
		
		
		
		
		
		
		
		<div class="field">	

		<label for="aws-replace-product-search"><?php _e('Replace product search form ?','aws');?></label>

		<input type="checkbox" name="aws_replace_product_search" id="aws-replace-product-search" class="checkbo_field" value="yes" <?php if($aws_settings['aws_replace_product_search']=='yes') echo  'checked'; ?> />	

		

		</div>	

	

	</div><!--end field section-->
		
		
		<div class="field_section">

		   <h3 class="section_title"><?php _e('Exclude product categories from serach results','aws');?></h3>
		   
		   <?php 
		   $exclude_cats=$aws_settings['aws_exclude_categories'];
		   $exclude_cats=(isset($exclude_cats) && is_array($exclude_cats)) ? $exclude_cats :array();
		   
		   $args = array( 'hide_empty'=>0);
           $cat_terms = get_terms( 'product_cat', $args );
	       if ( ! empty( $cat_terms ) && ! is_wp_error( $cat_terms ) && count($cat_terms) ) {
		    foreach($cat_terms as $c){
		   ?>

			<div class="field inline-fields">

			<input type="checkbox" name="aws_exclude_categories[]" id="aws-exclude-category-<?php echo $c->term_id;?>" class="checkbox" value="<?php echo $c->term_id;?>" <?php if(in_array($c->term_id,$exclude_cats)) echo 'checked';?> />

			<label for="aws-exclude-category-<?php echo $c->term_id;?>"><?php _e($c->name,'aws');?></label>

		 </div>
        <?php } 
		
		}else{ ?>
			 <p class="no_items">No categories found</p>
		<?php } ?>
		
		</div>
		
		
		<div class="field_section">

		   <h3 class="section_title"><?php _e('Exclude product tags from serach results','aws');?></h3>
		   
		   <?php 
		   $exclude_tags=$aws_settings['aws_exclude_tags'];
		   $exclude_tags=(isset($exclude_tags) && is_array($exclude_tags)) ? $exclude_tags :array();
		   
		   $args = array( 'hide_empty'=>0);
           $cat_terms = get_terms( 'product_tag', $args );
	       if ( ! empty( $cat_terms ) && ! is_wp_error( $cat_terms ) && count($cat_terms) ) {
		    foreach($cat_terms as $c){
		   ?>

			<div class="field inline-fields">

			<input type="checkbox" name="aws_exclude_tags[]" id="aws-exclude-tag-<?php echo $c->term_id;?>" class="checkbox" value="<?php echo $c->term_id;?>" <?php if(in_array($c->term_id,$exclude_tags)) echo 'checked';?> />

			<label for="aws-exclude-category-<?php echo $c->term_id;?>"><?php _e($c->name,'aws');?></label>

		 </div>
        <?php } 
		
		}else{ ?>
			 <p class="no_items">No tags found</p>
		<?php } ?>
		
		</div>
		

		

		

	

	<div class="field_section">

		   <h3 class="section_title"><?php _e('Change Appearance','aws');?></h3>

		<div class="field">



			<label for="aws-product-category-lbl"><?php _e('Label for the product category search field','aws');?></label>	

			<input name="aws_product_category_lbl" id="aws-product-category-lbl" class="text_field" value="<?php echo $aws_settings['aws_product_category_lbl'];?>" />



		</div>	



		<div class="field">	

		<label for="aws-product-tags-lbl"><?php _e('Label for the product tags search field','aws');?></label>

		<input name="aws_product_tags_lbl" id="aws-product-tags-lbl" class="text_field" value="<?php echo $aws_settings['aws_product_tags_lbl'];?>" />	

		</div>	

		<div class="field">	

		<label for="aws-appearance-background-color"><?php _e('Main Background color','aws');?></label>

		<input type="text" name="aws_appearance_background_color" id="aws-appearance-background-color" class=" text_field color"  value="<?php echo $aws_settings['aws_appearance_background_color'];?>" />	

		</div>	

		

		<div class="field">	

		<label for="aws-appearance-header-color"><?php _e('Header color','aws');?></label>

		<input type="text" name="aws_appearance_header_color" id="aws-appearance-header-color" class=" text_field color"  value="<?php echo $aws_settings['aws_appearance_header_color'];?>" />	

		</div>

		<div class="field">	

		<label for="aws-appearance-header-text-color"><?php _e('Header text color','aws');?></label>

		<input type="text" name="aws_appearance_header_text_color" id="aws-appearance-header-text-color" class=" text_field color"  value="<?php echo $aws_settings['aws_appearance_header_text_color'];?>" />	

		</div>

		

		<div class="field">	

		<label for="aws-appearance-product-title-color"><?php _e('Product title color','aws');?></label>

		<input type="text" name="aws_appearance_product_title_color" id="aws-appearance-product-title-color" class=" text_field color"  value="<?php echo $aws_settings['aws_appearance_product_title_color'];?>" />	

		</div>

		

		<div class="field">	

		<label for="aws-appearance-text-color"><?php _e('Text color','aws');?></label>

		<input type="text" name="aws_appearance_text_color" id="aws-appearance-text-color" class=" text_field color"  value="<?php echo $aws_settings['aws_appearance_text_color'];?>" />	

		</div>

	</div><!--end field section-->

	

	

	<div class="field_section">

		   <h3 class="section_title"><?php _e('Search Results','aws');?></h3>

		   

		 <div class="field">

			<input type="checkbox" name="aws_hide_thumb" id="aws-hide-thumb" class="checkbox" value="yes" <?php if($aws_settings['aws_hide_thumb']=='yes') echo 'checked';?> />

			<label for="aws-hide-thumb"><?php _e('Hide Search Result Thumbnail','aws');?></label>

		 </div>	

		 

		 <div class="field">

			<input type="checkbox" name="aws_hide_description" id="aws-hide-description" class="checkbox" value="yes" <?php if($aws_settings['aws_hide_description']=='yes') echo 'checked';?> />

			<label for="aws-hide-description"><?php _e('Hide Search Result Description','aws');?></label>

		 </div>	

		 

		 <div class="field">

			<input type="checkbox" name="aws_hide_price" id="aws-hide-price" class="checkbox" value="yes" <?php if($aws_settings['aws_hide_price']=='yes') echo 'checked';?> />

			<label for="aws-hide-price"><?php _e('Hide Search Result Price','aws');?></label>

		 </div>



	

	</div><!--end field section-->

	

	



	<br/>	

	<input type="submit" class="button button-primary button-large" name="aws_save_settings" id="aws-save-settings" value="<?php _e('Save','aws');?>" />

	<div class="clear"></div>

	</div><!--end field wrapper-->	



	</form>  

	

	</div><!--end panel wrapper-->

	

	<?php

}